﻿namespace Model
{
    /// <summary>
    /// define an answer for a Question with Mutiple Choice
    /// variable :
    ///     id : identifier in the database
    ///     content : content of the answer
    /// </summary>
    public class Answer
    {
        private long id;
        private string? content;
        /// <summary>
        /// property for id manipulations
        /// </summary>
        public long Id
        {
            get
            {
                return id;
            }
            private set
            {
                id = value < -1 ? -1 : value;
            }
        }
        /// <summary>
        /// property for content manipulations
        /// </summary>
        public string Content
        {
            get
            {
                return content == null ? "" : content;
            }
            set
            {
                content = value == "" ? null : value;
            }
        }

        /// <summary>
        /// constructor of an answer
        /// </summary>
        /// <param name="content">the content of an answer</param>
        /// <param name="id">the id of an answer</param>
        private Answer(string content, long id = -1)
        {
            Id = id;
            Content = content;
        }
    }
}
